Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1756202

Summary: Build hugo with extensions
Product: [Fedora] Fedora Reporter: Ranjan Maitra <itsme_410>
Component: hugoAssignee: Athos Ribeiro <athoscribeiro>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: athoscribeiro, go-sig, mike
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: hugo-0.69.0-2.fc32~bootstrap Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-27 02:43:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Ranjan Maitra 2019-09-27 04:54:09 UTC
Description of problem:

The hugo available on Fedora was not built using the extended option and can not 
process SCSS or SASS to CSS as per: https://gohugo.io/troubleshooting/faq/#i-get-this-feature-is-not-available-in-your-current-hugo-version

To see that this is not the extended version of fedora: run 

hugo version

and look for the word extended. (The current version does not include the word "extended") 

Please rebuild hugo using  go install --tags extended

as per 
https://gohugo.io/troubleshooting/faq/#i-get-this-feature-is-not-available-in-your-current-hugo-version

Please feel free to ask for more information.

Comment 1 Ben Cotton 2020-02-11 17:54:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 W. Michael Petullo 2020-03-11 20:16:49 UTC
I pulled Panagiotiss' work (https://copr.fedorainfracloud.org/coprs/panagiotiss/hugo_extended/) into Elliott's RPM specification. See https://src.fedoraproject.org/rpms/hugo/pull-request/10. This seems to build on (unreleased) Fedora 32.

Comment 3 Ranjan Maitra 2020-04-01 05:30:14 UTC
(In reply to W. Michael Petullo from comment #2)
> I pulled Panagiotiss' work
> (https://copr.fedorainfracloud.org/coprs/panagiotiss/hugo_extended/) into
> Elliott's RPM specification. See
> https://src.fedoraproject.org/rpms/hugo/pull-request/10. This seems to build
> on (unreleased) Fedora 32.

Why not merge this project with hugo? The maintainer may not be able to take care of this package anymore, given https://bugzilla.redhat.com/show_bug.cgi?id=1799514

Comment 4 Athos Ribeiro 2020-04-12 22:45:02 UTC
Would shipping a hugo-extended binary as well work for you on this one?

Comment 5 Athos Ribeiro 2020-04-12 23:13:03 UTC
On a second though, There are no reasons for not shipping it in the main binary.

This is now fixed in rawhide.

Comment 6 Ranjan Maitra 2020-04-13 00:39:50 UTC
(In reply to Athos Ribeiro from comment #5)
> On a second though, There are no reasons for not shipping it in the main
> binary.
> 
> This is now fixed in rawhide.

Thanks, looking forward to it on Fedora.

Comment 7 Fedora Update System 2020-04-13 12:22:37 UTC
FEDORA-2020-d74df0d232 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d74df0d232

Comment 8 Fedora Update System 2020-04-13 21:17:36 UTC
FEDORA-2020-d74df0d232 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d74df0d232`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d74df0d232

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-18 13:42:53 UTC
FEDORA-2020-c23de8ac42 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c23de8ac42

Comment 10 Fedora Update System 2020-04-19 04:26:58 UTC
FEDORA-2020-c23de8ac42 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c23de8ac42`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c23de8ac42

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-27 02:43:40 UTC
FEDORA-2020-c23de8ac42 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.